#
# spec file for package gnome-patch-translation
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-patch-translation
Version:        15.0
Release:        1.11
Summary:        Collect and Merge Translations From RPM Patches
License:        GPL-2.0-or-later
Group:          System/GUI/GNOME
Source:         gnome-patch-translation-files.tar.bz2
Source1:        gnome-patch-translation.tar.bz2
Source2:        README
Source3:        gnome-patch-translation-prepare
Source4:        gnome-patch-translation-update
Source5:        gnome-patch-translation-merge
Source6:        HEADER.pot
Source7:        HOWTO
Source8:        update-step1-update-translations-from-lcn
Source9:        update-step2-update-strings-from-packages
Source10:       update-step3-upload-strings-to-lcn
Source11:       update-solve-upload-conflict
Source12:       gnome-patch-translation.conf
Requires:       intltool
BuildArch:      noarch

%description
This package provides scripts for collecting strings changed in RPM
patches and merging them to one translation compendium.

%prep
%setup -q -T -a0 -a1 -c %{name}-%{version}
cp -a %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} .

%build
sh gnome-patch-translation-merge

%install
mkdir -p %{buildroot}%{_bindir}
install gnome-patch-translation-prepare gnome-patch-translation-update %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/gnome-patch-translation
cp gnome-patch-translation/*.po gnome-patch-translation-merged/*.pot %{buildroot}%{_datadir}/gnome-patch-translation

%files
%doc README
%{_bindir}/*
%{_datadir}/gnome-patch-translation

%changelog
* Tue Mar  6 2018 sbrabec@suse.cz
- Updated ko, lt, nn, pl, sk, sv, uk, zh_TW (bsc#1085376).
- Version bump to 15.0:
  * Updated for the latest Factory (1 new strings, obsolete xchat,
    gstreamer-0_10).
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Sep  4 2014 sbrabec@suse.cz
- Version bump to 13.2:
  * Updated for the latest Factory (0 new strings, 6 obsolete).
- Updated ca, ja.
- gnome-patch-translation.conf: Remove dropped gnome-panel and
  gnome-screensaver.
* Fri Oct 18 2013 sbrabec@suse.cz
- Updated pl, ro, zh_CN.
* Tue Feb 26 2013 sbrabec@suse.cz
- Added gstreamer (no new strings).
* Mon Feb 11 2013 sbrabec@suse.cz
- Updated pl, ro.
* Fri Jan 18 2013 sbrabec@suse.cz
- Updated pl, ro.
- Allow to set translation domain.
* Mon Jan  7 2013 sbrabec@suse.cz
- Updated ar, fr, hu, lt, pl, ro, wa.
- Updated for the latest Factory (0 new strings, 3 obsolete).
* Tue Jul 24 2012 sbrabec@suse.cz
- Updated ar, cs, de, el, es, fi, fr, gl, hu, km, lt, nb, pl, pt,
  pt_BR, ro, zh_CN, zh_TW.
- Migrate to svn.opensuse.org.
* Thu Oct 20 2011 sbrabec@suse.cz
- Updated da, el, fr, hu, it, ja, nb, nl, pl, ru.
- Fix of update-solve-upload-conflict supplementary script.
* Fri Oct 14 2011 sbrabec@suse.cz
- Added several packages with strings in patches (9 new strings).
- Updated el, hu, it, km, pl, pt_BR, zh_TW.
* Tue Jun 21 2011 sbrabec@suse.cz
- Updated da, de, es, fi, fr, gl, hr, hu, it, ja, km, lt, nb, nl,
  pl, pt_BR, ro, ru, wa.
- Updated for the latest Factory.
* Fri Feb  4 2011 sbrabec@suse.cz
- Updated all available translations for 11.4.
* Wed Nov 24 2010 sbrabec@suse.cz
- Updated fi.
- Updated for the latest Factory.
* Mon Sep  6 2010 sbrabec@suse.cz
- Updated de, lt, ru.
- Updated for the latest Factory.
* Wed Jun 16 2010 sbrabec@suse.cz
- Updated af, bn, ca, el, et, fr, gl, gu, hi, hr, ka, km, lt, mk,
  mr, nb, pa, pl, pt, ro, si, sl, sr, ta, uk, wa, xh, zu.
* Tue Jun  1 2010 sbrabec@suse.cz
- Updated cs, da, es, fi, fr, gl, hu, it, ja, km, lt, nb, nl, pl,
  pt_BR, ro, ru, sk, uk.
- Updated list of packages.
- Plural declaration added into HEADER.pot (bnc#594753).
* Mon Mar  8 2010 sbrabec@suse.cz
- Updated gl, lt, pt_BR, ro, wa, zh_TW.
- Updated list of packages with patches.
- Updated strings from the latest Factory (19 new strings).
- LCN migrated to Berlios.
* Thu Oct 29 2009 sbrabec@suse.cz
- Updated da, fr, gl, it, ko, lt, nb, pl, ru.
- 11 lost gtk2 strings from the old version re-added.
* Wed Oct 21 2009 sbrabec@suse.cz
- Updated de, fi, hu, ja, km, ko, nb, nl, pl, sk.
* Mon Oct 19 2009 sbrabec@suse.cz
- Updated cs, da, de, es, fi, fr, gl, hu, it, ja, km, ko, nb, nl,
  pl, pt_BR, ro, ru, sk, uk, wa, zh_TW.
- Added libgnomesu (bnc#541653, 6 new strings).
* Wed Sep  9 2009 sbrabec@suse.cz
- Updated da, de, es, fr, gl, hr, hu, km, ko, nb, pl, uk, wa,
  zh_TW.
- Added bluez-gnome (7 new strings).
* Tue Jun 30 2009 sbrabec@suse.cz
- Updated ja, ko, nl, pl, pt_BR, ru, sk.
* Fri Jun  5 2009 sbrabec@suse.cz
- Updated cs, da, de, en_GB, es, et, fi, fr, hu, it, ja, km, ko,
  nb, nl, pa, pl, pt, pt_BR, ro, ru, sk, sr, sv, th, uk, zh_CN,
  zh_TW.
- Fixes for bash 4.
* Thu Feb 19 2009 sbrabec@suse.cz
- Updated README and HOWTO to describe current work-flow.
* Thu Feb  5 2009 sbrabec@suse.cz
- Updated cs, hu, it, ja, ko, nb, pt_BR, ru.
- Added evolution (bnc#464770).
- Updated strings from the latest Factory snapshot (8 new strings).
* Tue Jan 27 2009 sbrabec@suse.cz
- Updated cs, da, de, en_US, es, fi, fr, gl, hu, it, ja, km, ko,
  nb, nl, pa, pl, pt_BR, ru, uk, wa, zh_CN.
- Updated strings from the latest Factory (20 new strings).
* Fri Nov 21 2008 sbrabec@suse.cz
- Updated de, fi, fr, pt_BR, ru, sv.
- Updated strings from the latest Factory (11 new strings).
* Tue Nov  4 2008 sbrabec@suse.cz
- Package updating tools reworked and migrated to osc.
- Updated pl, pt_BR.
* Wed Oct 22 2008 sbrabec@suse.cz
- Updated da, de, en_US, es, gl, hr, hu, it, ja, km, ko, nb, nl,
  pl, pt_BR, ro, uk, wa, zh_CN.
* Wed Oct  8 2008 sbrabec@suse.cz
- Updated af, ar, bg, bn, bs, ca, cs, cy, da, de, el, en_GB, en_US,
  es, et, fi, fr, gl, gu, he, hi, hr, hu, id, it, ja, ka, km, ko,
  lt, mk, mr, nb, nl, pa, pl, pt, pt_BR, ro, ru, si, sk, sl, sr,
  sr@Latn, sv, ta, th, tr, uk, vi, wa, xh, zh_CN, zh_TW, zu.
* Wed Sep 17 2008 sbrabec@suse.cz
- Updated af, ar, bg, bn, bs, ca, cs, cy, da, de, el, en_GB, en_US,
  es, et, fi, fr, gl, gu, he, hi, hr, hu, id, it, ja, ka, km, ko,
  lt, mk, mr, nb, nl, pa, pl, pt, pt_BR, ro, ru, si, sk, sl, sr,
  sr@Latn, sv, ta, th, tr, uk, vi, wa, xh, zh_CN, zh_TW, zu.
* Wed Aug 20 2008 sbrabec@suse.cz
- Updated cs, el, en_US, fi, hu, it, ko, pt_BR, ro, uk, zh_CN.
* Fri May 23 2008 sbrabec@suse.cz
- Updated cs, it, ko, nl, pt_BR, sk, zh_TW.
* Fri May  9 2008 sbrabec@suse.cz
- Updated pl, pt_BR.
* Fri May  2 2008 sbrabec@suse.cz
- Updated fi, it, km, ko, pt_BR, zh_CN.
* Fri Apr 25 2008 sbrabec@suse.cz
- Updated de, fr, hu, it, km, ko, pl, pt, ru, zh_CN.
- Updated strings for the latest Factory (1 new string).
* Fri Apr 18 2008 sbrabec@suse.cz
- Updated da, de, el, en_US, es, fi, fr, hu, it, ja, ko, pl, pt,
  pt_BR, th, uk, zh_CN, zh_TW.
- Updated strings for the latest Factory (13 string changes).
* Tue Mar 18 2008 sbrabec@suse.cz
- Updated en_US, es, et, fr, hu, ja, lt, nl, ro, uk, zh_CN, zh_TW.
- Do not replace translation header by a dumb one.
- Updated strings for the latest Factory (8 new strings).
* Mon Sep 24 2007 sbrabec@suse.cz
- Updated sk.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated fi, pt.
* Fri Sep  7 2007 sbrabec@suse.cz
- Updated cs, hi, hu, pt_BR, sv, zh_CN.
* Fri Aug 24 2007 sbrabec@suse.cz
- Updated da, de, fi, hu, it, km, nb, nl, pa, pl, pt, ru, sk, uk.
* Mon Aug 20 2007 sbrabec@suse.cz
- Updated ca, cs, da, de, el, en_GB, en_US, es, et, fi, fr, hr, hu,
  id, it, ja, km, lt, mk, mr, nb, nl, pa, pl, pt, pt_BR, ru, sk,
  sr@Latn, sv, wa, zh_CN, zh_TW.
- Updated strings from the latest sources.
- Activated strings from uncommented gdm patches.
- Updated HOWTO.
* Fri Aug  3 2007 sbrabec@suse.cz
- Updated strings from the latest sources.
- Branched separate project for Factory strings.
* Mon Jul 16 2007 sbrabec@suse.cz
- Updated bn, gu, hi, hu, mr, ta.
- Updated strings from the latest sources.
* Wed Jun 13 2007 sbrabec@suse.cz
- Updated af, ar, ca, hu, it, ja, pl, pt_BR, xh, zu.
- Updated strings from the latest sources.
* Fri Apr 20 2007 sbrabec@suse.cz
- Updated hu.
- Updated strings from the latest sources.
* Tue Apr 10 2007 sbrabec@suse.cz
- Updated af, ar, bg, bn, bs, ca, cs, cy, da, de, el, en_GB, en_US,
  es, et, fi, fr, gl, gu, he, hi, hr, hu, id, it, ja, ka, km, ko,
  lt, mk, mr, nb, nl, pa, pl, pt, pt_BR, ro, ru, sk, sl, sr,
  sr@Latn, sv, ta, tr, uk, vi, xh, zh_CN, zh_TW, zu.
* Wed Feb 21 2007 sbrabec@suse.cz
- Updated af, bg, cs, da, de, el, en_US, es, et, fi, fr, hr, hu,
  it, ja, km, lt, nb, nl, pa, pl, pt, pt_BR, ru, sk, sl, sr, sv,
  uk, zh_CN, zh_TW, zu.
- Merged new strings from evolution-exchange.
* Wed Feb 14 2007 sbrabec@suse.cz
- Merged new strings from NetworkManager, gnome-power-manager and
  evolution.
- Updated af, de, en_US, es, fr, hu, it, ja, pt_BR, xh, zh_CN,
  zh_TW, zu.
- Do not strip pot headers to allow UTF-8 characters in sources.
* Tue Jan 23 2007 sbrabec@suse.cz
- Merged latest snapshots and updated HOWTO for Novell Forge SVN.
* Tue Jan 23 2007 ro@suse.de
- drop requires for gnome-filesystem
* Fri Jan  5 2007 sbrabec@suse.cz
- Prefix changed to /usr.
* Thu Nov 23 2006 sbrabec@suse.cz
- Updated cs, hu.
* Tue Nov 14 2006 sbrabec@suse.cz
- Skip unneeded steps during compilation.
- Merged SLE10-SP and FACTORY strings into one compendium.
- Updated cs, fi, hu, mi, ru, vi.
* Wed Sep 20 2006 sbrabec@suse.cz
- Detect, if all strings are upstreamed.
* Mon Jun 26 2006 sbrabec@suse.cz
- Merged gedit false UTF-16 detection fix (#116777).
- Updated hu.
* Mon Jun 26 2006 sbrabec@suse.cz
- Updated cs, de, es, fr, it, ja, pt_BR, zh_CN, zh_TW.
- Merged missing strings from nautilus-share (#183392).
* Tue Jun 20 2006 sbrabec@suse.cz
- Merged missing string from gnome-passwd (#185584#c7).
- Updated cs, hu, ja.
* Fri Jun 16 2006 sbrabec@suse.cz
- Merged missing strings from gnome-passwd (#185584#c3) and
  gnome-sound-properties (#185591).
- Updated cs, pl.
* Thu Jun 15 2006 sbrabec@suse.cz
- Updated de, es, fr, it, ja, pt_BR, zh_CN, zh_TW.
* Wed Jun  7 2006 sbrabec@suse.cz
- Fixed strings for gedit locale detection (#180613).
* Mon Jun  5 2006 sbrabec@suse.cz
- Added new strings from control-center2 passwd capplet (#179459).
- Added new strings from NetworkManager (#169096).
- Updated cs, fi, hu.
* Mon May 22 2006 sbrabec@suse.cz
- Updated de, es, fr, it, ja, pt_BR, zh_CN, zh_TW.
* Thu May 18 2006 sbrabec@suse.cz
- Merged missing nautilus string to translations (#173448).
* Wed May  3 2006 sbrabec@suse.cz
- Updated fi.
* Mon Apr 24 2006 sbrabec@suse.cz
- Updated cs, hu.
* Tue Apr 18 2006 sbrabec@suse.cz
- Updated hu.
* Tue Apr 18 2006 sbrabec@suse.cz
- Updated de, es, fi, fr, hu, it, ja, pl, pt_BR, zh_CN, zh_TW.
* Fri Apr  7 2006 sbrabec@suse.cz
- Added evolution, gdm, libgnomeui.
- Updated cs.
* Mon Mar 27 2006 sbrabec@suse.cz
- Updated cs.
* Fri Mar 24 2006 sbrabec@suse.cz
- Updated de, es, fr, it, ja, pt_BR, zh_CN, zh_TW.
* Fri Mar 24 2006 sbrabec@suse.cz
- Updated cs, fi, hu, nb, pl, pt, uk.
* Fri Mar 17 2006 sbrabec@suse.cz
- Merged translations from old modemlights applet (#158257).
* Wed Mar 15 2006 sbrabec@suse.cz
- Updated hu, fi.
- Added support for shared-mime-info, merged new strings.
* Fri Mar  3 2006 sbrabec@suse.cz
- Added fi, fr, km, es, fr, it, ja, pt_BR.
- Updated cs, de, hu, zh_CN, zh_TW.
- Merged upstream translations from nautilus.
- Added support for gnome-system-monitor.
* Fri Feb 24 2006 sbrabec@suse.cz
- Updated strings from nautilus-share.
- Updated Czech and Hungarian.
* Wed Feb 22 2006 sbrabec@suse.cz
- Added support for gnome-menus (144946#c12).
- Updated Czech, German and Hungarian translations.
* Fri Feb 17 2006 sbrabec@suse.cz
- Updated Czech and Hungarian translation.
- Fixed merge if upstream translation is missing in some projects.
* Fri Feb  3 2006 sbrabec@suse.cz
- Added Hungarian translation.
* Thu Feb  2 2006 sbrabec@suse.cz
- Updated translation files for gnome-panel.
- Updated Czech translation.
* Wed Feb  1 2006 sbrabec@suse.cz
- New SuSE package (#144946).
